cascading.flow.stream.graph

## Enum IORole

- java.lang.Object
- - java.lang.Enum<IORole>
  - - cascading.flow.stream.graph.IORole

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IORole>

      public enum IORole
      extends java.lang.Enum<IORole>

  Enum IORole specifies how a FlowElement will be used during streaming.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `both`
    `pass`
    `sink`
    `source`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IORole` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IORole[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### sink

          public static final IORole sink

    - #### source

          public static final IORole source

    - #### both

          public static final IORole both

    - #### pass

          public static final IORole pass

  - ### Method Detail

    - #### values

          public static IORole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IORole c : IORole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IORole valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.